エラー nodenv: version `x.x.x' is not installed の解決

1 min読了の目安(約500字TECH技術記事

nodenvのplugin node-build を利用している前提の記事です

nodenv: version `14.15.4' is not installed (set by /Users/.../.node-version)

みたいなエラーの解決。
nodeのバージョンをupdateするたびに「えーっと…」ってなるので残しておきます。

  1. nodenv本体があるディレクトリに行く(だいたいホームディレクトリにあるはず)
    cd /Users/xxx/.nodenv
    
  2. plugins/node-build へ行って最新をpull
    cd plugins/node-build
    git pull
    
  3. nodenv install -l で最新のverがinstall可能になっているか確認(省略可能)
  4. 必要なnodeのverをinstall
    nodenv install 14.15.4
    
  5. 対象PJのディレクトリに移動し、node verの切り替え
    cd ${対象PJのディレクトリ}
    nodenv local 14.15.4
    

done